
Infrastructure - Task #1343

Story # 1341 (Closed): Fix blockers to demo functionality

CN synchro is missing data objects, probably due to access control

2011-02-14 18:21 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.07   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-02-18 17:52 - Robert Waltz

- Assignee changed from Robert Waltz to Matthew Jones

#2 - 2011-02-18 17:53 - Robert Waltz

Please Clarify what is happening, but I do not notice any issues due to CN failure

#3 - 2011-02-21 05:17 - Matthew Jones

- Category set to d1_cn_service

- Status changed from New to Closed

- % Done changed from 0 to 100

When objects on a MN are not readable, they are not synchronized.  For now this is fine behavior until the authn/authz infrastructure gets worked out. 

Eventually, CNs should sync all objects (public and private), but searches should only show objects for which a user has access.  Closing this task

because its not a problem with the current demo prototype any longer now that subsequent calls to sync pick up the objects once they are readable.
